# encoding: utf-8
# vi:si:et:sw=4:sts=4:ts=4
import os

from twisted.web.server import Site
from twisted.internet import reactor

from backend import Backend
from server import Server
import api

from version import __version__


def main(config):
    base = os.path.abspath(os.path.dirname(__file__))
    backend = Backend(config)
    root = Server(base, backend)
    site = Site(root)
    port = 2620
    interface = '127.0.0.1'
    reactor.listenTCP(port, site, interface=interface)
    reactor.run()
